## plasma-desktop 5.8.6

=== doc/CMakeLists.txt ===
add_subdirectory(uk)
add_subdirectory(cs)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(ru)
add_subdirectory(de)
add_subdirectory(nl)
add_subdirectory(it)
add_subdirectory(en)

=== doc/uk/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk
                          SUBDIR plasma-desktop)

=== kcms/desktoppaths/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_desktoppaths\")

set(kcm_desktoppaths_PART_SRCS
   globalpaths.cpp
)

add_library(kcm_desktoppaths MODULE ${kcm_desktoppaths_PART_SRCS})

target_link_libraries(kcm_desktoppaths
    KF5::KCMUtils
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KDELibs4Support
)

install(TARGETS kcm_desktoppaths DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES desktoppath.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== doc/en/kcontrol/formats/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/formats)

=== kcms/touchpad/src/applet/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="kcm_touchpad")
add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_touchpad")

add_subdirectory(qml)

configure_file("${CMAKE_CURRENT_SOURCE_DIR}/dataengine.desktop"
               "${CMAKE_CURRENT_BINARY_DIR}/plasma-dataengine-touchpad.desktop"
)

set(Applet_SRCS
    touchpadengine.cpp
    touchpadservice.cpp
)

qt5_generate_dbus_interface(../kded/kded.h org.kde.touchpad.xml)
qt5_add_dbus_interfaces(Applet_SRCS
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.touchpad.xml
)
qt5_add_dbus_interfaces(Applet_SRCS
                        ${KDED_DBUS_INTERFACE}
)

add_library(plasma_engine_touchpad MODULE ${Applet_SRCS})
target_link_libraries(plasma_engine_touchpad
                      KF5::Plasma
		      Qt5::DBus
)

kcoreaddons_desktop_to_json(plasma_engine_touchpad ${CMAKE_CURRENT_BINARY_DIR}/plasma-dataengine-touchpad.desktop SERVICE_TYPES kcmodule.desktop)

install(TARGETS plasma_engine_touchpad
        DESTINATION ${PLUGIN_INSTALL_DIR}/plasma/dataengine
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma-dataengine-touchpad.desktop
        DESTINATION ${SERVICES_INSTALL_DIR}
)
install(FILES touchpad.operations
        DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services
)
install(FILES touchpad.svg
        DESTINATION ${DATA_INSTALL_DIR}/plasma/desktoptheme/default/icons
)

=== debian/changelog ===
plasma-desktop (4:5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 25 Mar 2017 12:26:47 +0100

plasma-desktop (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:20 +0100

plasma-desktop (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:37:45 +0100

plasma-desktop (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:28:07 +0200

plasma-desktop (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:01:52 +0200

plasma-desktop (4:5.8.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Update install files

  [ Jonathan Riddell ]
  * recommand fonts-noto
  * qml dep on qml-module-org-kde-activities

  [ Harald Sitter ]
  * pull in breeze gtk

  [ Rohan Garg ]
  * Add kde-config-screenlocker to deps, wrap-and-sort

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:10:47 +0200

plasma-desktop (4:5.7.4-2) unstable; urgency=medium

  * Team upload.
  * Remove the transitional kde-touchpad, since it was never part of a stable
    release.
    - remove the obsolete breaks/replaces for it
  * Change the section of libkfontinst5, and libkfontinstui5 to libs.
  * Update the patches:
    - add_missing_include: drop, fixed upstream
  * Switch to non-deprecated build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Build with -gstabs instead of -g also on armel and armhf, to work around
    virtual memory exhaustion.
  * Update lintian overrides.
  * Remove breaks/replaces on old versions of plasma-desktop-data, and
    plasma-desktop-dev, since those were never part of a stable release.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Sep 2016 23:52:42 +0200

plasma-desktop (4:5.7.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.7.4)

  [ Maximiliano Curia ]
  * Recommend kwin-x11 and fallback to any package providing kwin.
  * Add missing build dependency
  * Drop activities-stats experimental library
  * Update install files

  [ Philip Muškovac ]
  * Build-depend on libpackagekitqt5-dev

  [ Jonathan Riddell ]
  * add build-dep on libudev-dev

  [ Harald Sitter ]
  * add new bdep on ibus and scim (I think these moved from plasmaaddons)

  [ Matthias Klumpp ]
  * Do not recommend transitional packages for plasma-discover

  [ Pino Toscano ]
  * add missing changelog item

 -- Maximiliano Curia <maxy@debian.org>  Wed, 31 Aug 2016 14:17:12 +0200

plasma-desktop (4:5.6.5-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Promote plasma-integration to a hard dependency

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Wed, 29 Jun 2016 17:42:33 +0200

plasma-desktop (4:5.6.4-2) unstable; urgency=high

  * Recommend kactivitymanagerd.
    Thanks to Martin Steigerwald for reporting (Closes: 826047)
  * Promote kactivitymanagerd to dependency
  * Bump plasma-framework dependency version

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jun 2016 21:20:16 +0200

plasma-desktop (4:5.6.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Drop libusb-dev build dependency. (Closes: #810452) Thanks to Aurelien Jarno
  * Bump breaks/replaces for l10n packages, due to the addition of
    kcm_device_automounter.mo. (Closes: #814526) Thanks to Andreas
    Beckmann
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Add missing breaks/replaces
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add new patch: add_missing_include
  * Use the right kwallet pam package name
  * Add lintian-overrides for libkdeinit5_kaccess.so
  * Recommend plasma-integration, without it the plasma widgets use the wrong font sizes

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jun 2016 11:16:31 +0200

plasma-desktop (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:48 +0100

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.13~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.8.0~),
               kded5-dev (>= 5.24.0~),
               kinit-dev,
               kscreenlocker-dev,
               kwin-dev (>= 4:5.4.0~),
               libboost-dev,
               libcanberra-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libkf5activities-dev (>= 5.24.0~),
               libkf5activitiesstats-dev (>= 5.24.0~),
               libkf5attica-dev (>= 5.24.0~),
               libkf5auth-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5doctools-dev (>= 5.24.0~),
               libkf5emoticons-dev,
               libkf5globalaccel-dev (>= 5.24.0~),
               libkf5guiaddons-dev,
               libkf5i18n-dev (>= 5.24.0~),
               libkf5itemmodels-dev,
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5kio-dev,
               libkf5newstuff-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5notifyconfig-dev (>= 5.24.0~),
               libkf5people-dev (>= 5.24.0~),
               libkf5plasma-dev (>= 5.24.0~),
               libkf5runner-dev (>= 5.24.0~),
               libkf5sysguard-dev,
               libkf5wallet-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libpulse-dev (>= 0.9.16),
               libqt5svg5-dev (>= 5.5.0~),
               libqt5x11extras5-dev (>= 5.5.0~),
               libudev-dev,
               libx11-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               openbox,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.8.1~),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.5.0~),
               scim-dev,
               xauth,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-synaptics-dev,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-desktop.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-desktop.git

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: libkfontinst5 (= ${binary:Version}),
         libkfontinstui5 (= ${binary:Version}),
         plasma-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kde-config-touchpad (<< 4:5)
Replaces: kde-config-touchpad (<< 4:5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop
Architecture: any
Depends: breeze,
         kactivitymanagerd,
         kde-cli-tools,
         kded5,
         kio,
         oxygen-sounds,
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-integration,
         plasma-workspace,
         polkit-kde-agent-1,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bluedevil,
            fonts-noto,
            fonts-oxygen,
            gtk3-engines-breeze,
            kde-config-gtk-style,
            kde-config-screenlocker,
            kde-config-sddm,
            kde-style-oxygen-qt5,
            kgamma5,
            khelpcenter,
            khotkeys,
            kinfocenter,
            kio-extras,
            kmenuedit,
            kscreen,
            ksshaskpass,
            ksysguard,
            kwin-x11 | kwin,
            kwrited,
            libpam-kwallet5,
            plasma-discover,
            plasma-pa,
            powerdevil,
            sni-qt,
            systemsettings,
            user-manager
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-widget-kimpanel
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-widget-kimpanel
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinst5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinstui5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: ${misc:Depends}
Recommends: plasma-framework (>> 5.22),
            plasma-workspace,
            qml-module-org-kde-activities,
            qml-module-org-kde-extensionplugin,
            qml-module-org-kde-kwindowsystem,
            qml-module-qtquick-dialogs
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        kdeplasma-addons-data (<< 4:5.6~),
        plasma-widget-kimpanel,
        ${kde-l10n:all}
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          kdeplasma-addons-data (<< 4:5.6~),
          plasma-widget-kimpanel,
          ${kde-l10n:all}
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: kde-config-touchpad
Depends: plasma-desktop, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:4.14.0-4~

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mips mipsel))
    export DEB_CFLAGS_MAINT_STRIP = -g
    export DEB_CXXFLAGS_MAINT_STRIP = -g
    export DEB_CFLAGS_MAINT_APPEND = -gstabs
    export DEB_CXXFLAGS_MAINT_APPEND = -gstabs
endif

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='plasma-desktop-dbg (<= 4:5.5.5-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test, fourth test never ends
	# xvfb-run -a dh_auto_test
	:

## plasma-desktop 5.9.4

=== CMakeLists.txt ===
project(plasma-desktop)

set(PROJECT_VERSION "5.9.4")

set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.5.0")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(CheckIncludeFiles)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    X11Extras
    Svg
    Concurrent
)

set(KF5_MIN_VERSION "5.24.0")
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Plasma
    PlasmaQuick
    DocTools
    I18n
    KCMUtils
    NewStuff
    KDELibs4Support
    Notifications
    NotifyConfig
    Attica
    Wallet
    Runner
    GlobalAccel
    Declarative
    People
    DBusAddons
    Activities
    ActivitiesStats
    Config
)

find_package(LibKWorkspace CONFIG REQUIRED)
find_package(LibTaskManager CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF5ItemModels CONFIG REQUIRED)
find_package(KF5Emoticons CONFIG REQUIRED)

find_package(AppStreamQt 0.10.4)
set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Appstream integration"
                       TYPE RECOMMENDED
                       PURPOSE "Needed to allow appstream integration from application menus"
                      )
find_package(KF5Baloo)
set_package_properties(KF5Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed to build the File Search KCM"
                      )

find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "http://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace"
                      )

find_package(UDev)
set_package_properties(UDev PROPERTIES DESCRIPTION "UDev library"
                        URL "http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html"
                        TYPE OPTIONAL
                        PURPOSE "Required for device discovery in keyboard daemon"
                      )

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT
)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

find_package(Evdev)
set_package_properties(Evdev PROPERTIES TYPE OPTIONAL)
add_feature_info("Evdev" EVDEV_FOUND "Evdev driver headers needed for input KCM")

find_package(Synaptics)
set_package_properties(Synaptics PROPERTIES TYPE OPTIONAL)
add_feature_info("Synaptics" SYNAPTICS_FOUND "Synaptics libraries needed for touchpad KCM")
include(ConfigureChecks.cmake)

if(${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GL")
    find_package(OpenGL)
    set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                        URL "http://www.opengl.org"
                        TYPE REQUIRED
                        )
else()
    find_package(OpenGLES)
    set_package_properties(OpenGLES PROPERTIES DESCRIPTION "The OpenGLES libraries"
                        URL "http://www.khronos.org/opengles"
                        TYPE REQUIRED
                        )
endif()

find_package(Breeze ${PROJECT_VERSION} CONFIG)
set_package_properties(Breeze PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "For setting the default window decoration plugin")
if(${Breeze_FOUND})
    if(${BREEZE_WITH_KDECORATION})
        set(HAVE_BREEZE_DECO true)
    else()
        set(HAVE_BREEZE_DECO FALSE)
    endif()
else()
    set(HAVE_BREEZE_DECO FALSE)
endif()

if(${AppStreamQt_FOUND})
    set(HAVE_APPSTREAMQT true)
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )
configure_file(config-appstream.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-appstream.h )
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
configure_file(config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

add_subdirectory(layout-templates)

add_subdirectory(doc)
add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(kcms)
add_subdirectory(knetattach)
add_subdirectory(attica-kde)
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
install(FILES org.kde.plasmashell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
plasma-desktop (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:57:16 +0000

plasma-desktop (4:5.9.3-0ubuntu3) zesty; urgency=medium

  * Use non-conflicting top-right location for default toolbox.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 16 Mar 2017 18:44:25 +0000

plasma-desktop (4:5.9.3-0ubuntu2) zesty; urgency=medium

  * debian/patches: upstream-offer_empty_trash_from_trash_link.patch
    - Backport upstream fix for missing wastebin right click option.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 09 Mar 2017 21:17:57 +0000

plasma-desktop (4:5.9.3-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (5.9.3)
  * debian/patches: kubuntu_use_folderview_as_default_containment.patch 
    - Use folderview as our default desktop containment. Adopts the new
      upstream plasma default, and assists in fixing the display of the 
      install icon on the iso live session.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:51:14 +0000

plasma-desktop (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:04:20 +0000

plasma-desktop (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:19:16 +0000

plasma-desktop (4:5.9.0-0ubuntu1) zesty; urgency=medium

  * Add breeze-dev to build depends
  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:45 +0000

plasma-desktop (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)
  * New build depend on libappstreamqt-dev

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:33 +0000

plasma-desktop (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Merge with debian, dropping the -dbg package in the process.
  * Now plasma-desktop and plasma-desktop-data Conflicts/Replaces against 
    kde-workspace-data, kde-workspace-bin and plasma-widget-kimpanel instead of
    Breaking/Replacing without version. This fixes the lintian warning 
    'breaks-without-version'.
  * In plasma-desktop add Breaks/Replaces against qml-module-org-kde-activities
    (<< 5.26.0) due to file moving (libkactivitiessettingsplugin.so qml plugin)
  * Add Breaks/Replaces because of kimpanel file moving:
    - in plasma-desktop against plasma-dataengines-addons (<< 4:5.8.3)
    - in plasma-desktop-data against kdeplasma-addons-data (<< 4:5.8.3)

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:53:57 +0000

plasma-desktop (4:5.7.4-0ubuntu1) UNRELEASED; urgency=medium

  * Install missing file lookandfeel.knsrc
  * Additional lintian override
  * New upstream release (5.7.4)

 -- Rik Mills <rik.mills88@gmail.com>  Sun, 11 Sep 2016 21:48:31 +0000

=== debian/control ===
--- 
+++ 
@@ -3,58 +3,61 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.13~),
+Build-Depends: baloo-kf5-dev (>= 5.31.0~),
+               breeze-dev (>= 4:5.9.4~),
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.8.0~),
-               kded5-dev (>= 5.24.0~),
-               kinit-dev,
-               kscreenlocker-dev,
-               kwin-dev (>= 4:5.4.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               kded5-dev (>= 5.31.0~),
+               kinit-dev (>= 5.31.0~),
+               kscreenlocker-dev (>= 5.9.4~),
+               kwin-dev (>= 4:5.9.4~),
+               libappstreamqt-dev,
                libboost-dev,
                libcanberra-dev,
                libfontconfig1-dev,
                libfreetype6-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.24.0~),
-               libkf5activitiesstats-dev (>= 5.24.0~),
-               libkf5attica-dev (>= 5.24.0~),
-               libkf5auth-dev (>= 5.24.0~),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5coreaddons-dev,
-               libkf5dbusaddons-dev (>= 5.24.0~),
-               libkf5declarative-dev (>= 5.24.0~),
-               libkf5doctools-dev (>= 5.24.0~),
-               libkf5emoticons-dev,
-               libkf5globalaccel-dev (>= 5.24.0~),
-               libkf5guiaddons-dev,
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5itemmodels-dev,
-               libkf5kcmutils-dev (>= 5.24.0~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
-               libkf5kio-dev,
-               libkf5newstuff-dev (>= 5.24.0~),
-               libkf5notifications-dev (>= 5.24.0~),
-               libkf5notifyconfig-dev (>= 5.24.0~),
-               libkf5people-dev (>= 5.24.0~),
-               libkf5plasma-dev (>= 5.24.0~),
-               libkf5runner-dev (>= 5.24.0~),
-               libkf5sysguard-dev,
-               libkf5wallet-dev (>= 5.24.0~),
-               libkf5widgetsaddons-dev,
-               libkf5windowsystem-dev,
-               libkf5xmlgui-dev,
+               libkf5activities-dev (>= 5.31.0~),
+               libkf5activitiesstats-dev (>= 5.31.0~),
+               libkf5attica-dev (>= 5.31.0~),
+               libkf5auth-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5declarative-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5emoticons-dev (>= 5.31.0~),
+               libkf5globalaccel-dev (>= 5.31.0~),
+               libkf5guiaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5itemmodels-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5notifications-dev (>= 5.31.0~),
+               libkf5notifyconfig-dev (>= 5.31.0~),
+               libkf5people-dev (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
+               libkf5runner-dev (>= 5.31.0~),
+               libkf5sysguard-dev (>= 4:5.9.4~),
+               libkf5wallet-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
                libpulse-dev (>= 0.9.16),
-               libqt5svg5-dev (>= 5.5.0~),
-               libqt5x11extras5-dev (>= 5.5.0~),
+               libqt5svg5-dev (>= 5.6.1~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libudev-dev,
                libx11-dev,
                libxapian-dev,
                libxcb-image0-dev,
+               libxcb-keysyms1-dev,
                libxcb-record0-dev,
                libxcb-shm0-dev,
                libxcb-xkb-dev,
@@ -65,9 +68,9 @@
                libxkbfile-dev,
                openbox,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.8.1~),
-               qtbase5-dev (>= 5.5.0~),
-               qtdeclarative5-dev (>= 5.5.0~),
+               plasma-workspace-dev (>= 4:5.9.4~),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
                scim-dev,
                xauth,
                xserver-xorg-dev,
@@ -76,12 +79,12 @@
                xvfb
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-desktop.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-desktop.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
 
 Package: plasma-desktop-dev
+Architecture: any
 Section: devel
-Architecture: any
 Depends: libkfontinst5 (= ${binary:Version}),
          libkfontinstui5 (= ${binary:Version}),
          plasma-desktop (= ${binary:Version}),
@@ -102,7 +105,8 @@
 
 Package: plasma-desktop
 Architecture: any
-Depends: breeze,
+Depends: baloo-kf5,
+         breeze,
          kactivitymanagerd,
          kde-cli-tools,
          kded5,
@@ -150,17 +154,25 @@
             systemsettings,
             user-manager
 Breaks: baloo-kf5 (<< 5.5),
-        kactivities,
+        kactivities (<< 5.21),
         kde-config-touchpad (<< 4:5),
-        kde-workspace-bin,
-        kde-workspace-data,
-        plasma-widget-kimpanel
+        plasma-dataengines-addons (<< 4:5.8.3),
+        plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
+        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+        plasma-widgets-addons (<< 4:5.6.0~),
+        qml-module-org-kde-activities (<< 5.26.0)
+Conflicts: kde-workspace-bin, kde-workspace-data, plasma-widget-kimpanel
 Replaces: baloo-kf5 (<< 5.5),
-          kactivities,
+          kactivities (<< 5.21),
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
-          plasma-widget-kimpanel
+          plasma-dataengines-addons (<< 4:5.8.3),
+          plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
+          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+          plasma-widget-kimpanel,
+          plasma-widgets-addons (<< 4:5.6.0~),
+          qml-module-org-kde-activities (<< 5.26.0)
 Description: Tools and widgets for the desktop
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
@@ -212,21 +224,24 @@
             qml-module-org-kde-kwindowsystem,
             qml-module-qtquick-dialogs
 Breaks: baloo-kf5 (<< 5.5),
-        kactivities,
+        kactivities (<< 5.21),
         kde-config-touchpad (<< 4:5),
-        kde-workspace-bin,
-        kde-workspace-data,
-        kdeplasma-addons-data (<< 4:5.6~),
-        plasma-widget-kimpanel,
+        kdeplasma-addons-data (<< 4:5.8.3),
+        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+        plasma-widgets-addons (<< 4:5.6.0~),
         ${kde-l10n:all}
+        kactivites (<< 5.18.0~)
+Conflicts: kde-workspace-bin, kde-workspace-data, plasma-widget-kimpanel
 Replaces: baloo-kf5 (<< 5.5),
-          kactivities,
+          kactivities (<< 5.21),
           kde-config-touchpad (<< 4:5),
           kde-workspace-bin,
           kde-workspace-data,
-          kdeplasma-addons-data (<< 4:5.6~),
-          plasma-widget-kimpanel,
+          kdeplasma-addons-data (<< 4:5.8.3),
+          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8),
+          plasma-widgets-addons (<< 4:5.6.0~),
           ${kde-l10n:all}
+          kactivities (<< 5.18.0~)
 Description: Tools and widgets for the desktop data files
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
@@ -240,10 +255,18 @@
  .
  This package contains the data files
 
-Package: kde-config-touchpad
+Package: kde-touchpad
+Architecture: any
+Section: oldlibs
+Priority: extra
 Depends: plasma-desktop, ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
+
+Package: kde-config-touchpad
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: plasma-desktop, ${misc:Depends}
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.

## plasma-desktop 5.9.5

=== debian/changelog ===
plasma-desktop (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)
  * Bump manually build depend on breeze-dev to 4:5.9.5~

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:15:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: baloo-kf5-dev (>= 5.31.0~),
-               breeze-dev (>= 4:5.9.4~),
+               breeze-dev (>= 4:5.9.5~),
                cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),

## plasma-desktop 5.10.5

=== debian/changelog ===
plasma-desktop (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:21 +0100

plasma-desktop (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:15 +0100

plasma-desktop (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:15:50 +0100

plasma-desktop (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:12:01 +0100

plasma-desktop (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:43 +0100

plasma-desktop (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:49:03 +0100

plasma-desktop (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)
  * Bump manually build depend on breeze-dev to 4:5.9.5~

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:31:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.31.0~),
-               breeze-dev (>= 4:5.9.5~),
+Build-Depends: baloo-kf5-dev (>= 5.36.0~),
+               breeze-dev (>= 4:5.10.5~),
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               kded5-dev (>= 5.31.0~),
-               kinit-dev (>= 5.31.0~),
-               kscreenlocker-dev (>= 5.9.4~),
-               kwin-dev (>= 4:5.9.4~),
+               extra-cmake-modules (>= 5.36.0~),
+               kded5-dev (>= 5.36.0~),
+               kinit-dev (>= 5.36.0~),
+               kscreenlocker-dev (>= 5.10.5~),
+               kwin-dev (>= 4:5.10.5~),
                libappstreamqt-dev,
                libboost-dev,
                libcanberra-dev,
@@ -19,34 +19,34 @@
                libfreetype6-dev,
                libglib2.0-dev,
                libibus-1.0-dev,
-               libkf5activities-dev (>= 5.31.0~),
-               libkf5activitiesstats-dev (>= 5.31.0~),
-               libkf5attica-dev (>= 5.31.0~),
-               libkf5auth-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5declarative-dev (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5emoticons-dev (>= 5.31.0~),
-               libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5guiaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5itemmodels-dev (>= 5.31.0~),
-               libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5newstuff-dev (>= 5.31.0~),
-               libkf5notifications-dev (>= 5.31.0~),
-               libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5people-dev (>= 5.31.0~),
-               libkf5plasma-dev (>= 5.31.0~),
-               libkf5runner-dev (>= 5.31.0~),
-               libkf5sysguard-dev (>= 4:5.9.4~),
-               libkf5wallet-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               libkf5activities-dev (>= 5.36.0~),
+               libkf5activitiesstats-dev (>= 5.36.0~),
+               libkf5attica-dev (>= 5.36.0~),
+               libkf5auth-dev (>= 5.36.0~),
+               libkf5config-dev (>= 5.36.0~),
+               libkf5coreaddons-dev (>= 5.36.0~),
+               libkf5dbusaddons-dev (>= 5.36.0~),
+               libkf5declarative-dev (>= 5.36.0~),
+               libkf5doctools-dev (>= 5.36.0~),
+               libkf5emoticons-dev (>= 5.36.0~),
+               libkf5globalaccel-dev (>= 5.36.0~),
+               libkf5guiaddons-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5itemmodels-dev (>= 5.36.0~),
+               libkf5kcmutils-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5newstuff-dev (>= 5.36.0~),
+               libkf5notifications-dev (>= 5.36.0~),
+               libkf5notifyconfig-dev (>= 5.36.0~),
+               libkf5people-dev (>= 5.36.0~),
+               libkf5plasma-dev (>= 5.36.0~),
+               libkf5runner-dev (>= 5.36.0~),
+               libkf5sysguard-dev (>= 4:5.10.5~),
+               libkf5wallet-dev (>= 5.36.0~),
+               libkf5widgetsaddons-dev (>= 5.36.0~),
+               libkf5windowsystem-dev (>= 5.36.0~),
+               libkf5xmlgui-dev (>= 5.36.0~),
                libpackagekitqt5-dev,
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
@@ -68,7 +68,7 @@
                libxkbfile-dev,
                openbox,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.9.4~),
+               plasma-workspace-dev (>= 4:5.10.5~),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
                scim-dev,
